Bug 2569 - "File open" dialogue box is too small compared with screen size
: "File open" dialogue box is too small compared with screen size
Status: RESOLVED FIXED
Product: Desktop platform
File System UI
: 4.1.2 (4.2008.36-5)
: All Linux
: Low minor (vote)
: 5.0-alpha
Assigned To: Marius Vollmer
: file-system-ui-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-15 17:23 UTC by Andrew Flegg
Modified: 2009-03-02 13:38 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Andrew Flegg (reporter) maemo.org 2007-12-15 17:23:37 UTC
STEPS TO REPRODUCE THE PROBLEM:
1) Open PDF Reader on OS2008.
2) Choose "Document > Open..."
3) Select "User guides"
4) Scroll down to "User_guide_Engli..."

EXPECTED OUTCOME:
The dialogue box uses more of the screen estate and so the filenames are
readable.

ACTUAL OUTCOME:
There are two entries shown as "User_guide_Engli..." and so any differentiation
is impossible to see.

REPRODUCIBILITY:
always
Comment 1 Tapani Pälli nokia 2007-12-17 08:41:07 UTC
PDF reader needs to widen up it's dialog size.
Comment 2 Andrew Flegg (reporter) maemo.org 2007-12-17 11:52:55 UTC
Apologies, I'd assumed that it just said "I want a file open dialogue". There's
still something of a general point that dialogue boxes are often too small -
and perhaps even the wrong metaphor.

But I suppose that's a different bug ;-)
Comment 3 xujun 2008-07-04 04:56:23 UTC
you are right. The open dialog is too small, but you know, the N810 is also
small. I think you can distinguish the difference like this:
STEPS TO SOLUTION THE PROBLEM:
1) Open PDF Reader on OS2008.
2) Choose "Document > Open..."
3) Select "User guides"
4) Scroll down to "User_guide_Engli..."
5) pull the "vertical split bar" toward the left until you can see the
difference between them;
Comment 4 Andre Klapper maemo.org 2008-11-18 14:44:42 UTC
There will most likely be improvements for Fremantle, hence setting Target
Milestone.
Comment 5 Andre Klapper maemo.org 2009-02-05 16:51:39 UTC
Yepp, according to the Spec the Fremantle UI will provide a dialog with more
width. Closing as fixed for Fremantle, though I still think that it's not that
hard to fix for Diablo either (/me crossing fingers that Mer could achieving
it).
Comment 6 Andrew Flegg (reporter) maemo.org 2009-02-05 16:54:10 UTC
(In reply to comment #5)
> Yepp, according to the Spec the Fremantle UI will provide a dialog with more
> width. Closing as fixed for Fremantle, though I still think that it's not that
> hard to fix for Diablo either (/me crossing fingers that Mer could achieving
> it).

From what I've seen of the Fremantle widgets already (e.g. in Mer), this could
well be reopened as "now it's too short" ;-) However, I'll wait for the
Fremantle UI to be shown, rather than what's in the pre-alphas.
Comment 7 Andre Klapper maemo.org 2009-02-05 17:04:14 UTC
Current Fremantle UI widgets are still the Diablo ones - Fremantle beta will
reveal how it will look...